<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class RequestPaymentMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $noteMessage = null;
    


    protected $currencyCodeIso4217 = null;
    


    protected $amount1000 = null;
    


    protected $requestFrom = null;
    


    protected $expiryTimestamp = null;
    


    protected $amount = null;
    


    protected $background = null;

    














    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getNoteMessage()
    {
        return $this->noteMessage;
    }

    public function hasNoteMessage()
    {
        return isset($this->noteMessage);
    }

    public function clearNoteMessage()
    {
        unset($this->noteMessage);
    }

    




    public function setNoteMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message::class);
        $this->noteMessage = $var;

        return $this;
    }

    



    public function getCurrencyCodeIso4217()
    {
        return isset($this->currencyCodeIso4217) ? $this->currencyCodeIso4217 : '';
    }

    public function hasCurrencyCodeIso4217()
    {
        return isset($this->currencyCodeIso4217);
    }

    public function clearCurrencyCodeIso4217()
    {
        unset($this->currencyCodeIso4217);
    }

    




    public function setCurrencyCodeIso4217($var)
    {
        GPBUtil::checkString($var, True);
        $this->currencyCodeIso4217 = $var;

        return $this;
    }

    



    public function getAmount1000()
    {
        return isset($this->amount1000) ? $this->amount1000 : 0;
    }

    public function hasAmount1000()
    {
        return isset($this->amount1000);
    }

    public function clearAmount1000()
    {
        unset($this->amount1000);
    }

    




    public function setAmount1000($var)
    {
        GPBUtil::checkUint64($var);
        $this->amount1000 = $var;

        return $this;
    }

    



    public function getRequestFrom()
    {
        return isset($this->requestFrom) ? $this->requestFrom : '';
    }

    public function hasRequestFrom()
    {
        return isset($this->requestFrom);
    }

    public function clearRequestFrom()
    {
        unset($this->requestFrom);
    }

    




    public function setRequestFrom($var)
    {
        GPBUtil::checkString($var, True);
        $this->requestFrom = $var;

        return $this;
    }

    



    public function getExpiryTimestamp()
    {
        return isset($this->expiryTimestamp) ? $this->expiryTimestamp : 0;
    }

    public function hasExpiryTimestamp()
    {
        return isset($this->expiryTimestamp);
    }

    public function clearExpiryTimestamp()
    {
        unset($this->expiryTimestamp);
    }

    




    public function setExpiryTimestamp($var)
    {
        GPBUtil::checkInt64($var);
        $this->expiryTimestamp = $var;

        return $this;
    }

    



    public function getAmount()
    {
        return $this->amount;
    }

    public function hasAmount()
    {
        return isset($this->amount);
    }

    public function clearAmount()
    {
        unset($this->amount);
    }

    




    public function setAmount($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Money::class);
        $this->amount = $var;

        return $this;
    }

    



    public function getBackground()
    {
        return $this->background;
    }

    public function hasBackground()
    {
        return isset($this->background);
    }

    public function clearBackground()
    {
        unset($this->background);
    }

    




    public function setBackground($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\PaymentBackground::class);
        $this->background = $var;

        return $this;
    }

}

